# This file contains exceptions for methods
# related to the time series generator

@exception(
    "Exception thrown when the file is not found.",
    "Gen",
    "ScatsGenNotAFile",
    "The file is not found (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when the path is a directory.",
    "Gen",
    "ScatsGenIsADir",
    "Specified path is a directory (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an end of file occurred.",
    "Gen",
    "ScatsGenEOF",
    "Unexpected end of file (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `N` is wrong.",
    "Gen",
    "ScatsGenWR_N",
    "Wrong input: N (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `Δt` is wrong.",
    "Gen",
    "ScatsGenWR_Δt",
    "Wrong input: Δt (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `q` is wrong.",
    "Gen",
    "ScatsGenWR_q",
    "Wrong input: q (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `α` is wrong.",
    "Gen",
    "ScatsGenWR_α",
    "Wrong input: α (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `β` is wrong.",
    "Gen",
    "ScatsGenWR_β",
    "Wrong input: β (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `r` is wrong.",
    "Gen",
    "ScatsGenWR_r",
    "Wrong input: r (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `A` is wrong.",
    "Gen",
    "ScatsGenWR_A",
    "Wrong input: A (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `ν` is wrong.",
    "Gen",
    "ScatsGenWR_ν",
    "Wrong input: ν (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `ϕ` is wrong.",
    "Gen",
    "ScatsGenWR_ϕ",
    "Wrong input: ϕ (\\\"\", e.file, \"\\\").",
)

@exception(
    "Exception thrown when an input for `γ` is wrong.",
    "Gen",
    "ScatsGenWR_γ",
    "Wrong input: γ (\\\"\", e.file, \"\\\").",
)
